<home-page-header></home-page-header>
<div class="container-fluid signup-container">
    <div class="row">
        <div class="col-sm-1"></div>
        <div class=" col-sm-4 col-sm-push-5 signup-body">
            <div class="title-holder wow slideInRight">
                <span class="title">
                    <strong>SIGN</strong> 
                    <span><strong> UP</strong></span>
                </span>
            </div>
            <div class="">
                <div class="form-group content wow slideInRight" style="animation-delay: 0.2s;">
                    <span class="iconClearFix"><i class="fa fa-user" id="signupIconNameId"></i></span>
                    <input type="text" [(ngModel)]="name" (keyup)="validateName()" id="signupInputNameId" class="form-control inputField" maxlength="20" placeholder="Full Name"/>
                </div>
                <div class="form-group content wow slideInRight" style="animation-delay: 0.4s;">
                    <span class="iconClearFix wow slideInRight"><i class="fa fa-envelope" id="signupIconEmailId"></i></span>
                    <input type="email" [(ngModel)]="emailId" (keyup)="validateEmailId()" id="signupInputEmailId" class="form-control inputField" maxlength="50" placeholder="Email Id"/>
                </div>
                <div class="form-group content wow slideInRight" style="animation-delay: 0.6s;">
                    <span class="iconClearFix"><i class="fa fa-phone" id="signupIconConatactNoId"></i></span>
                    <input type="text" [(ngModel)]="contactNo" (keyup)="validateConatactNo()" id="signupInputConatactNoId" class="form-control inputField" maxlength="20" placeholder="Contact Number"/>
                </div>
                <div class="form-group content wow slideInRight" style="animation-delay: 0.8s;">
                    <span class="iconClearFix pwdIcon"><i class="fa fa-lock" id="signupIconPasswordId"></i></span>
                    <input type="password" [(ngModel)]="password" (keyup)="validatePassword()" id="signupInputPasswordId" class="form-control inputField" maxlength="15" placeholder="Password"/>
                </div>
                <div class="form-group content wow slideInRight" style="animation-delay: 1s;">
                    <span class="iconClearFix pwdIcon"><i class="fa fa-lock" id="signupIconConfirmPasswordId"></i></span>
                    <input type="password" [(ngModel)]="confirmPassword" (keyup)="validateConfirmPassword()" id="signupInputConfirmPasswordId" class="form-control inputField"  maxlength="15" placeholder="Confirm Password"/>
                </div>
                <button (click)="register()" class="button singUpBtn wow slideInRight" style="animation-delay: 1.2s;"><span>Register</span></button>
                <p class="signup-text wow slideInRight" style="animation-delay: 1.3s;">Already a Member? 
                    <a routerLink="/login" style="color:  #669900;">Sign In</a>
                </p>
            </div>
        </div>
    
        <div class="col-sm-5 col-sm-pull-4">
            <info-user></info-user>
        </div>
    </div>
</div>
<footer class="container-fluid footer"><home-page-footer></home-page-footer></footer>



